import { CategoryXAxis } from "./CategoryXAxis";
import { ITimeRangeSelectorAxis } from "./ITimeRangeSelectorAxis";
import { TimeAxisLabelFormatCollection } from "./TimeAxisLabelFormatCollection";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { ScalerParams } from "./ScalerParams";
import { CategoryMode } from "./CategoryMode";
import { IList$1, EventArgs, Type } from "igniteui-react-core/ES5/type";
import { IGetItemAtIndex } from "igniteui-react-core/ES5/IGetItemAtIndex";
import { FastItemsSourceEventArgs } from "igniteui-react-core/ES5/FastItemsSourceEventArgs";
/**
 * @hidden
 */
export declare class OrdinalTimeXAxis extends CategoryXAxis implements ITimeRangeSelectorAxis {
    static $t: Type;
    dv(a: number, b: Rect, c: Rect): number;
    du(a: number, b: ScalerParams, c: CategoryMode): number;
    dt(a: number, b: ScalerParams): number;
    gg(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    gh(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    dy(a: number, b: Rect, c: Rect): number;
    getUnscaledValue3(a: number, b: Rect, c: Rect, d: CategoryMode): number;
    dw(a: number, b: ScalerParams): number;
    dx(a: number, b: ScalerParams, c: CategoryMode): number;
    gi(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    constructor();
    protected go(a: any, b: string, c: any, d: any): void;
    private li;
    actualMinimumValue: Date;
    private lh;
    actualMaximumValue: Date;
    private lm;
    visibleMinimum: Date;
    private ll;
    visibleMaximum: Date;
    private l1;
    private l2;
    private lr;
    dateTimeMemberPath: string;
    private lf;
    private lg;
    protected hc(a: Rect, b: Rect): void;
    getWindowRectForSelection(a: Date, b: Date): Rect;
    private ld;
    readonly le: TimeAxisLabelFormatCollection;
    private l0;
    gq(a: string): void;
    e1(a: any): any;
    fe(a: number): string;
    private readonly lz;
    protected kr(): IGetItemAtIndex;
    protected hb(a: Rect, b: Rect): void;
    protected kx(a: number, b: ScalerParams): number;
    protected kw(a: number, b: number, c: boolean, d: ScalerParams): number;
    private ly;
    private lx;
    itemLabelFormat(): string;
    private lk;
    minimumValue: Date;
    private lj;
    maximumValue: Date;
    cm(): boolean;
    visibleRangeChanged: (sender: any, e: EventArgs) => void;
    protected kd(a: FastItemsSourceEventArgs): void;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
}
